For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Transactions by Invoice ID
      • GETGet Transaction Fees
      • GETGet Invoices
      • POSTSearch Transactions
LogoLogo
API ReferenceBilling

Get Invoices

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/invoices
GET
/2026-01/invoices
$curl -G https://sandbox-api.shipbob.com/2026-01/invoices \
> -H "Authorization: Bearer <token>" \
> --data-urlencode Cursor=f8cUk/xJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0+BVMffFoIfoqzOkEsAw \
> -d FromDate=2019-08-24 \
> -d ToDate=2019-08-24 \
> -d InvoiceTypes=Shipping \
> -d InvoiceTypes=WarehouseStorage \
> -d PageSize=100 \
> -d SortOrder=Descending
1{
2 "first": "m8cUk/xJkbeYp2JJvL8oHqxL2hFuGz3qjqtkQ",
3 "items": [
4 {
5 "amount": 0.01,
6 "currency_code": "USD",
7 "invoice_date": "2019-08-24",
8 "invoice_id": 12345,
9 "invoice_type": "Shipping",
10 "running_balance": 123.01
11 }
12 ],
13 "last": "n8cUk/xJkbeYp2JJvL8oHqxL2hFiGz3qjqtkQ",
14 "next": "m8cUk/xJkbeYp2JhvL8oHqxL3hFiGz3qjqtkQ",
15 "prev": "m8cUk/xJkbeYp2JJvL8oHqxL2hFvGz3qjqtkQ"
16}
Gets a paginated list of invoices, optionally filtered by invoice types and date range
Was this page helpful?
Previous

Get Transaction Fees

Next

Search Transactions

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

CursorstringOptional

[Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters.

FromDatedatetimeOptional

[Optional] Start date for filtering invoices by invoice date. Default is current - 1 month date.

ToDatedatetimeOptional

[Optional] End date for filtering invoices by invoice date. Default is current date.

InvoiceTypeslist of enumsOptional

[Optional] Filter invoices by invoice type.

PageSizeintegerOptionalDefaults to 100

Number of invoices to return per page (default: 100). Must be between 1 and 1000.

SortOrderenumOptionalDefaults to Descending

Sort invoices by Invoice Date. Values - Ascending, Descending. Default: Descending.

Allowed values:

Response

Success
firststring
Go to the first page
itemslist of objects
List of invoices in the current page.
laststring
Go to the Last page
nextstring
Go to the Next page
prevstring
Go to the Previous page

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error